package view;

import java.awt.Component;
import java.awt.GridLayout;
import java.net.URL;

import javax.swing.JCheckBox;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;
import javax.swing.WindowConstants;

import controller.Controller;

/**
 * ダイアログを生成するクラス
 * @author Masayasu Fujiwara
 */
public class DialogFactory {
	
	/**
	 * バージョン確認します。
	 * @param version バージョン
	 * @param url URL
	 * @param comp コンポーネント
	 * @param controller コントローラ
	 */
	public static void versionDialog(String version, URL url, Component comp, Controller controller) {
		JDialog dialog = new JDialog();
		dialog.setDefaultCloseOperation(WindowConstants.HIDE_ON_CLOSE);
		dialog.setTitle("更新情報");
		dialog.setLayout(new GridLayout(0, 1, 0, 0));
		if (version != null) {
			JPanel panel = new JPanel(new GridLayout(0, 1, 0, 10));
			panel.add(new JLabel("ver."+ version + " が最新です。", SwingConstants.CENTER));
			panel.add(new JTextField(url.toString(), SwingConstants.CENTER));
			JCheckBox check = new JCheckBox("起動時に更新情報を確認する", true);
			check.setActionCommand("check");
			check.addActionListener(controller);
			panel.add(check);
			dialog.add(panel);
		} else {
			dialog.add(new JLabel("新しい更新はみつかりませんでした。", SwingConstants.CENTER));
		}
		dialog.setSize(350, 120);
		if (comp != null) {
			dialog.setLocationRelativeTo(comp);
		}
		dialog.setVisible(true);
		dialog.setFocusable(true);
		dialog.setAlwaysOnTop(true);
	}
}
